Uploaded image for project: 'Nuxeo Platform'
  1. Nuxeo Platform
  2. NXP-21025

Remove deprecated code for LTS 2017

    XMLWordPrintable

    Details

    • Type: Clean up
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 5.8
    • Fix Version/s: 9.1
    • Tags:
    • Upgrade notes:
      Hide

      All documents exported before 9.1 won't be importable in a Nuxeo from 9.1.
      This is due to schema rework:

      • remove 'size' from 'common'
      • remove 'filename' from 'file'
      • remove 'filename' from 'files/*/file'

      As it, just after upgrading to Nuxeo >= 9.1, you need to do a backup of your Nuxeo Server, in order to have a backup compatible with Nuxeo 9.1.

      You could also manually edit your export prior to 9.1 in order to make it work with Nuxeo subsequent to 9.1 by removing <common:size> and <file:filename> elements from document.xml files

      Show
      All documents exported before 9.1 won't be importable in a Nuxeo from 9.1. This is due to schema rework: remove 'size' from 'common' remove 'filename' from 'file' remove 'filename' from 'files/*/file' As it, just after upgrading to Nuxeo >= 9.1, you need to do a backup of your Nuxeo Server, in order to have a backup compatible with Nuxeo 9.1. You could also manually edit your export prior to 9.1 in order to make it work with Nuxeo subsequent to 9.1 by removing <common:size> and < file:filename > elements from document.xml files
    • Sprint:
      nxfit 9.1.1, nxfit 9.1.2, nxfit 9.1.3
    • Story Points:
      8

      Description

      Removes all deprecated code until Nuxeo 5.8 for LTS 2017.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  PagerDuty

                  Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.